

# Copyright (c) 2005-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix			/usr
%define _gavl_version	1.1.2
%define _SOnr			0

Summary:		Base library for gmerlin applications
Name:			gmerlin
Version:		1.0.0
Release:		1.pm.10.20
License:		GPL
Group:			Development/Libraries/C and C++
Source0:		%{name}-%{version}.tar.gz
Source90:		%{name}-rpmlintrc
Patch:			%{name}-configure.ac.diff
Patch0:         gmerlin.compile.patch
URL:			http://gmerlin.sourceforge.net/
PreReq:			%install_info_prereq
BuildRequires:	alsa-devel >= 1.0.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	esound-devel >= 0.2.19
BuildRequires:	fdupes
BuildRequires:	freetype2-devel
BuildRequires:	gcc-c++
BuildRequires:	gtk2-devel >= 2.8
BuildRequires:	libcddb-devel >= 1.2
BuildRequires:	libcdio-devel >= 0.75
BuildRequires:	libgavl-devel >= %{_gavl_version}
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libmusicbrainz-devel >= 2.0.2
BuildRequires:	libpng-devel >= 1.2.2
BuildRequires:	libsndfile-devel
BuildRequires:	libpulse-devel
BuildRequires:	libquicktime-devel >= 1.0
BuildRequires:	libtheora-devel
BuildRequires:	libtiff-devel >= 3.5.0
BuildRequires:	libv4l-devel
BuildRequires:	libvisual-devel >= 0.4.0
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	mjpegtools-devel
BuildRequires:  libjack-devel
BuildRequires:	update-desktop-files
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
Base library for gmerlin applications.

#
# gmerlin shared libs
#
%package -n libgmerlin%{_SOnr}
Summary:	Shared libraries for gmerlin
Group:		System/Libraries

%description -n libgmerlin%{_SOnr}
Shared libraries for package gmerlin.

#
# libgmerlin-devel
#
%package -n libgmerlin-devel
Summary:	Header files for compiling gmerlin applications and plugins
Group:		Development/Libraries/C and C++
Requires:	freetype2-devel
Requires:	gtk2-devel >= 2.8
Requires:	libcddb-devel >= 1.2
#Requires:	libcdio-devel >= 0.75
Requires:	libgavl-devel >= %{_gavl_version}
Requires:	libgmerlin%{_SOnr} = %{version}
Requires:	libjpeg-devel >= 6b
Requires:	libmusicbrainz-devel >= 2.0.2
Requires:	libpng-devel >= 1.2.2
Requires:	libsndfile-devel
Requires:	libpulse-devel
Requires:	libquicktime-devel >= 1.0
Requires:	libtheora-devel
Requires:	libtiff-devel >= 3.5.0
Requires:	libv4l-devel
Requires:	libvisual-devel >= 0.4.0
Requires:	libxml2-devel >= 2.4.0
Provides:	gmerlin-devel = 0.3.6
Obsoletes:	gmerlin-devel < 0.3.6

%description -n libgmerlin-devel
Header files for compiling gmerlin applications and plugins.

#
# gmerlin-gtk
#
%package -n libgmerlin_gtk%{_SOnr}
Summary:	Gtk support library for gmerlin
Group:	    System/Libraries
Requires:	gtk2 >= 2.8
Requires:	libgmerlin%{_SOnr} = %{version}
Provides:	gmerlin-gtk = 0.3.6
Obsoletes:	gmerlin-gtk < 0.3.6
Provides:	libgmerlin-gtk0 = 0.4.1
Obsoletes:	libgmerlin-gtk0 < 0.4.1

%description -n libgmerlin_gtk%{_SOnr}
Gtk support library for package gmerlin.

#
# gmerlin-gtk-devel
#
%package -n libgmerlin-gtk-devel
Summary:	Header files for compiling gmerlin gtk applications
Group:	    Development/Libraries/C and C++
Requires:	gtk2-devel >= 2.8
Requires:	libgmerlin-devel = %{version}
Requires:	libgmerlin_gtk%{_SOnr} = %{version}
Provides:	gmerlin-gtk-devel = 0.3.6
Obsoletes:	gmerlin-gtk-devel < 0.3.6

%description -n libgmerlin-gtk-devel
Header files for compiling gmerlin gtk applications.

#
# Libquicktime
#
%package lqt
Summary:	Libquicktime plugins for gmerlin
Group:		Productivity/Multimedia/Other
Provides:	%{name}-input-plugin

%description lqt
Libquicktime plugins for gmerlin (see http://libquicktime.sf.net)

#
# Alsa
#
%package alsa
Summary:	Alsa plugins for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	alsa >= 1.0.0
Provides:	%{name}-soundcard-plugin

%description alsa
Alsa plugins for gmerlin (see http://alsa-project.org)


#
# Pulseaudio
#
%package pulseaudio
Summary:	Pulseaudio plugins for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities
Provides:	%{name}-soundcard-plugin

%description pulseaudio
Pulseaudio plugins for package gmerlin.

#
# Jpeg
#
%package jpeg
Summary:	Jpeg plugins for gmerlin
Group:		Productivity/Graphics/Other
Provides:	%{name}-image-reader-plugin
Provides:	%{name}-image-writer-plugin

%description jpeg
Jpeg plugins for package gmerlin.

#
# PNG
#
%package png
Summary:	PNG plugins for gmerlin
Group:		Productivity/Graphics/Other
Provides:	%{name}-image-reader-plugin
Provides:	%{name}-image-writer-plugin

%description png
PNG plugins for package gmerlin.

#
# TIFF
#
%package tiff
Summary:	Tiff plugins for gmerlin
Group:		Productivity/Graphics/Other
Provides:	%{name}-image-reader-plugin
Provides:	%{name}-image-writer-plugin

%description tiff
TIFF plugins for package gmerlin.

#
# OSS
#
%package oss
Summary:	OSS plugins for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{name} = %{version}
Provides:	%{name}-soundcard-plugin

%description oss
OSS plugins for package gmerlin.

#
# mikmod
#
%package mikmod
Summary:	MikMod plugins for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{name} = %{version}

%description mikmod
MikMod plugins for package gmerlin.

#
# subtitles
#
%package subtitles
Summary:	Subtitle-plugin for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{name} = %{version}

%description subtitles
Subtitle-plugin for package gmerlin.

#
# postprocess
#
%package postprocess
Summary:	Postprocess-plugins for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities

%description postprocess
Postprocessors for burning WAV files to audio CDs with CD-Text
(using cdrdao) and burning MPEG-files to VCDs (using vcdimager
and cdrdao).

#
# ESD
#
%package esd
Summary:	Esd plugins for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities
Provides:	%{name}-soundcard-plugin

%description esd
esd plugins for package gmerlin.

#
# EDL
#
%package edl
Summary:	EDL plugins for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities

%description edl
EDL plugins for package gmerlin.

#
# X11
#
%package x11
Summary:	X11 plugins for gmerlin
Group:		Productivity/Multimedia/Other
Provides:	%{name}-video-playback-plugin

%description x11
X11 plugins for package gmerlin.

#
# V4l
#
%package v4l
Summary:	Video4linux plugin for gmerlin
Group:		Productivity/Multimedia/Video/Editors and Convertors
Provides:	%{name}-video-recorder-plugin

%description v4l
Video4linux plugin for package gmerlin.

#
# cdaudio
#
%package cdaudio
Summary:	Audio CD playing/ripping plugin for gmerlin
Group:		Productivity/Multimedia/CD/Grabbers

%description cdaudio
Audio CD playing/ripping plugin for package gmerlin.

#
# Applications: Player
#
%package player
Summary:	Multiformat media player
Group:		Productivity/Multimedia/Video/Players
Requires:	%{name}-soundcard-plugin
Requires:	%{name}-video-playback-plugin

%description player
Multiformat media player for package gmerlin.

#
# Applications: Recorder
#
%package recorder
Summary:	Multiformat recorder
Group:		Productivity/Multimedia/Video/Editors and Convertors

%description recorder
Recorder for package gmerlin.

#
# Applications: Alsamixer
#
%package alsamixer
Summary:	Alsa mixer
Group:		Productivity/Multimedia/Sound/Mixers
Requires:	alsa

%description alsamixer
Alsa mixer for package gmerlin.

#
# Applications: Transcoder
#
%package transcoder
Summary:	Audio/Video transcoder
Group:		Productivity/Multimedia/Video/Editors and Convertors

%description transcoder
Audio/Video transcoder for package gmerlin.

#
# Applications: Visualizer
#
%package visualizer
Summary:	Run xmms visualization plugins without having to run xmms
Group:		Productivity/Multimedia/Video/Editors and Convertors

%description visualizer
Run xmms visualization plugins without having to run xmms.

#
# Applications: Camelot
#
%package camelot
Summary:	Webcam application
Group:		Productivity/Networking/Web/Utilities
Requires:	%{name}-x11 = %{version}
Requires:	%{name}-v4l = %{version}
Requires:	%{name}-video-playback-plugin
Requires:	%{name}-video-recorder-plugin
Requires:	%{name}-image-writer-plugin

%description camelot
Webcam application.

#
# Utilities
#
%package utils
Summary:	Utilities for gmerlin
Group:		Productivity/Multimedia/Other

%description utils
Gmerlin Utilities.

#
# OSD
#
%package OSD
Summary:	OSD support for gmerlin
Group:		Productivity/Multimedia/Other

%description OSD
OSD support for package gmerlin.

#
# Applications: Keyboard daemon
#
%package kbd
Summary:	Keyboard daemon for gmerlin
Group:		Productivity/Multimedia/Other

%description kbd
Keyboard daemon for package gmerlin.

#
# audiofilter-plugins
#
%package audiofilters
Summary:	Audiofilter plugins for gmerlin
Group:		Productivity/Multimedia/Sound/Utilities

%description audiofilters
Audiofilter plugins for package gmerlin.

#
# videofilter-plugins
#
%package videofilters
Summary:	Videofilter plugins for gmerlin
Group:		Productivity/Multimedia/Video/Editors and Convertors

%description videofilters
Videofilter plugins for package gmerlin.

#
# jack
#
%package jack
Summary:	Jack plugins for gmerlin
Group:		Productivity/Multimedia/Video/Editors and Convertors

%description jack
Jack plugins for package gmerlin.

#
# gavl
#
%package gavl
Summary:	Gavl plugins for gmerlin
Group:		Productivity/Multimedia/Video/Editors and Convertors

%description gavl
Gavl plugins for gmerlin.


%lang_package

%prep
%setup -q gmerlin-%{version}
#%patch
#/bin/cat /usr/src/packages/SOURCES/gmerlin-configure.ac.diff | /usr/bin/patch -s -p0
#./cvs_clean.sh
#./autogen.sh

#%if %suse_version > 1120
#%__sed -i -e 's|GTK_WIDGET_TOPLEVEL|gtk_widget_is_toplevel|g' \
#   lib/gtk/gtkutils.c
#%__sed -i -e 's|GTK_WIDGET_REALIZED|gtk_widget_get_realized|g' \
#   lib/gtk/vumeter.c
#%endif

%patch0 -p1

%build
export SUSE_ASNEEDED=0
export CPPFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
	--prefix=%{_prefix} \
	--disable-gtktest

%__make %{?jobs:-j%{jobs}} \
	docdir=%{_docdir}/%{name}

%install
export SUSE_ASNEEDED=0
%makeinstall \
	docdir=%{_docdir}/%{name}

%suse_update_desktop_file -n %{name}-alsamixer  AudioVideo Mixer
%suse_update_desktop_file -n %{name}-camelot    AudioVideo AudioVideoEditing
%suse_update_desktop_file -n %{name}-kbd        AudioVideo AudioVideoEditing
%suse_update_desktop_file -n %{name}-player     AudioVideo Player
%suse_update_desktop_file -n %{name}-plugincfg  AudioVideo AudioVideoEditing
%suse_update_desktop_file -n %{name}-recorder   AudioVideo AudioVideoEditing
%suse_update_desktop_file -n %{name}-transcoder AudioVideo AudioVideoEditing
%suse_update_desktop_file -n %{name}-visualizer AudioVideo Player

# make rpmlint happy ..
pushd %{buildroot}%{_datadir}/applications
	%__sed -i -e 's|.png||g' *.desktop
popd

#%__mkdir_p %{buildroot}%{_datadir}/pixmaps
#pushd %{buildroot}%{_datadir}/pixmaps
#	ln -sf %{_datadir}/gmerlin/icons/mixer_icon.png      gmerlin-alsamixer.png
#	ln -sf %{_datadir}/gmerlin/icons/player_icon.png     gmerlin-player.png
#	ln -sf %{_datadir}/gmerlin/icons/transcoder_icon.png gmerlin-transcoder.png
#	ln -sf %{_datadir}/gmerlin/icons/camelot_icon.png    gmerlin-camelot.png
#	ln -sf %{_datadir}/gmerlin/icons/kbd_icon.png        gmerlin-kbd.png
#	ln -sf %{_datadir}/gmerlin/icons/plugincfg_icon.png  gmerlin-plugincfg.png
#	ln -sf %{_datadir}/gmerlin/icons/recorder_icon.png   gmerlin-recorder.png
#	ln -sf %{_datadir}/gmerlin/icons/visualizer_icon.png gmerlin-visualizer.png
#popd

%find_lang %{name}

%__rm -f %{buildroot}%{_libdir}/%{name}/plugins/*.la
%__rm -f %{buildroot}%{_libdir}/*.la

%fdupes -s %{buildroot}

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post   -n libgmerlin%{_SOnr} -p /sbin/ldconfig
%postun -n libgmerlin%{_SOnr} -p /sbin/ldconfig

%post   -n libgmerlin_gtk%{_SOnr} -p /sbin/ldconfig
%postun -n libgmerlin_gtk%{_SOnr} -p /sbin/ldconfig

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files lang -f %{name}.lang

%files
%defattr(-,root,root)
%exclude %{_docdir}/gmerlin/apiref
%doc %{_docdir}/gmerlin
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/e_wav.so
%{_libdir}/%{name}/plugins/*_tga.so
%{_libdir}/%{name}/plugins/*_bmp.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/*_16.png
%{_datadir}/%{name}/icons/digit_*.png
%{_datadir}/%{name}/icons/display_mode_*.png
%{_datadir}/%{name}/icons/%{name}.jpg
%{_datadir}/%{name}/icons/repeat_mode_*.png
%{_datadir}/%{name}/icons/state_*.png
%{_datadir}/%{name}/icons/tab_close.png
%{_datadir}/%{name}/icons/tracks_dnd_32.png
%{_infodir}/%{name}.info.gz

%files -n libgmerlin%{_SOnr}
%defattr(-,root,root)
%{_libdir}/libgmerlin.so.*

%files -n libgmerlin-devel
%defattr(-,root,root)
%dir %{_docdir}/gmerlin/apiref
%doc %{_docdir}/gmerlin/apiref/*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%dir %{_includedir}/%{name}/x11
%{_includedir}/%{name}/x11/x11.h
%{_libdir}/libgmerlin.so
%{_datadir}/%{name}/plugin.sym
%{_libdir}/pkgconfig/%{name}.pc

%files -n libgmerlin_gtk%{_SOnr}
%defattr(-,root,root)
%{_libdir}/libgmerlin_gtk.so.*

%files -n libgmerlin-gtk-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/gui_gtk
%{_includedir}/%{name}/gui_gtk/*.h
%{_libdir}/libgmerlin_gtk.so
%{_libdir}/pkgconfig/%{name}-gtk.pc

%files alsa
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*alsa*.so

%files audiofilters
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/fa_*.so

%files cdaudio
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*cdaudio*.so

%files edl
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/i_edl.so

%files esd
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*esd*.so

%files gavl
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*_gavl.so

%files jack
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*_jack.so

%files jpeg
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*jpeg*.so

%files lqt
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*lqt*.so

%files mikmod
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*mikmod*.so

%files oss
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*oss*.so

%files png
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*png*.so
%{_libdir}/%{name}/plugins/*pnm*.so
%{_libdir}/%{name}/plugins/*spumux*.so

%files postprocess
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/e_pp_cdrdao.so
%{_libdir}/%{name}/plugins/e_pp_vcdimager.so

%files pulseaudio
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*pulse.so

%files subtitles
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*subtext*.so

%files tiff
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*tiff*.so

%files v4l
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*v4l*.so

%files videofilters
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/fv_*.so

%files x11
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/*x11*.so

%files OSD
%defattr(-,root,root)
%dir %{_datadir}/%{name}/osd
%{_datadir}/%{name}/osd/GmerlinOSD.*

#####
# Applications

%files alsamixer
%defattr(-,root,root)
%{_bindir}/%{name}_alsamixer
%{_datadir}/%{name}/icons/mixer_icon.png
%{_datadir}/applications/%{name}-alsamixer.desktop
#%{_datadir}/pixmaps/%{name}-alsamixer.png
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-alsamixer.png

%files camelot
%defattr(-,root,root)
%{_bindir}/camelot
%{_datadir}/%{name}/icons/camelot_icon.png
%{_datadir}/applications/%{name}-camelot.desktop
#%{_datadir}/pixmaps/%{name}-camelot.png
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-camelot.png

%files kbd
%defattr(-,root,root)
%{_bindir}/%{name}_kbd
%{_bindir}/%{name}_kbd_config
%{_datadir}/%{name}/icons/kbd_icon.png
%{_datadir}/applications/%{name}-kbd.desktop
#%{_datadir}/pixmaps/%{name}-kbd.png
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-kbd.png

%files player
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}_play
%{_bindir}/%{name}_remote
%{_bindir}/%{name}_launcher
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/skins
%dir %{_datadir}/%{name}/skins/Default
%{_datadir}/%{name}/skins/Default/*
%{_datadir}/%{name}/icons/player_icon.png
%{_datadir}/applications/%{name}-player.desktop
#%{_datadir}/pixmaps/%{name}-player.png
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-player.png
%doc %{_mandir}/man1/%{name}.1.gz
%doc %{_mandir}/man1/%{name}_play.1.gz
%doc %{_mandir}/man1/%{name}_remote.1.gz

%files recorder
%defattr(-,root,root)
%{_bindir}/%{name}_recorder
%{_datadir}/%{name}/icons/recorder_icon.png
%{_datadir}/applications/%{name}-recorder.desktop
#%{_datadir}/pixmaps/%{name}-recorder.png
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-recorder.png

%files transcoder
%defattr(-,root,root)
%{_bindir}/%{name}_transcoder
%{_bindir}/%{name}_transcoder_remote
%{_datadir}/%{name}/icons/transcoder_icon.png
%{_datadir}/applications/%{name}-transcoder.desktop
#%{_datadir}/pixmaps/%{name}-transcoder.png
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-transcoder.png
%doc %{_mandir}/man1/%{name}_transcoder.1.gz
%doc %{_mandir}/man1/%{name}_transcoder_remote.1.gz

%files visualizer
%defattr(-,root,root)
%{_bindir}/%{name}_visualize
%{_bindir}/%{name}_visualizer
%{_bindir}/%{name}_visualizer_slave
%{_libdir}/%{name}/plugins/vis_scope.so
%{_datadir}/%{name}/icons/visualizer_icon.png
%{_datadir}/applications/%{name}-visualizer.desktop
#%{_datadir}/pixmaps/%{name}-visualizer.png
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-visualizer.png

%files utils
%defattr(-,root,root)
%{_bindir}/%{name}_imgconvert
%{_bindir}/%{name}_imgdiff
%{_bindir}/%{name}_psnr
%{_bindir}/%{name}_ssim
%{_bindir}/%{name}-video-thumbnailer
%{_bindir}/%{name}_vpsnr
%{_bindir}/%{name}_plugincfg
%{_bindir}/%{name}_vanalyze
%{_datadir}/%{name}/icons/plugincfg_icon.png
%{_datadir}/applications/%{name}-plugincfg.desktop
#%{_datadir}/pixmaps/%{name}-plugincfg.png
%{_datadir}/icons/hicolor/48x48/apps/gmerlin-plugincfg.png

%changelog
* Wed May 18 2011 brunciter@localhost.lan
- Compile fix
* Thu Mar 10 2011 detlef@links2linux.de
- update to 1.0.0
* Sat Feb 27 2010 toni@links2linux.de
- update to 0.4.3
* Thu Feb 25 2010 toni@links2linux.de
- update to 0.4.2
* Mon Oct 19 2009 toni@links2linux.de
- added subpackages gavl and jack
- renamed libgmerlin-gtk0 to libgmerlin_gtk0
* Tue Sep 22 2009 Manfred.Tremmel@iiv.de
- update to 0.4.1
* Wed Dec 17 2008 toni@links2linux.de
- update to 0.4.0
* Tue Jul 22 2008 toni@links2linux.de
- update to 0.3.8
* Wed Jan  9 2008 toni@links2linux.de
- update to 0.3.7
- added pulseaudio subpackage for pulseaudio plugin
- using fdupes for openSUSE-10.3
- changed package layout according Shared Library Packaging Policy
* Fri May 11 2007 toni@links2linux.de
- update to 0.3.6
- added subpackages: audiofilters, videofilters, kbd
- disabled subpackage gmerlin-lqt (libquicktime)
* Fri Dec 29 2006 toni@links2linux.de
- build SuSE-10.2
- enabled subpackage gmerlin-lqt (libquicktime)
* Sat Dec  9 2006 toni@links2linux.de
- update to 0.3.5
- removed */plugins/*.la
* Fri Sep 22 2006 toni@links2linux.de
- corrections in spec
* Tue Sep 19 2006 toni@links2linux.de
- build for packman
- gmerlin-lqt is hardcoded deactivated, because of the packmanrobot.py script!
* Sun Aug  6 2006 oc2pus@arcor.de - 0.3.4-0.oc2pus.2
- fixed gmerlin-alsa
* Wed Jul 12 2006 oc2pus@arcor.de - 0.3.4-0.oc2pus.1
- update to 0.3.4
- added gmerlin-mikmod, gmerlin-subtext, gmerlin-postprocess, gmerlin-OSD
* Wed Apr 12 2006 oc2pus@arcor.de - 0.3.3-0.oc2pus.2
- corrected directory rights
* Sat Feb  4 2006 oc2pus@arcor.de - 0.3.3-0.oc2pus.1
- update to 0.3.3
- disabled gmerlin-lqt
* Fri Nov 18 2005 oc2pus@arcor.de - 0.3.2-0.oc2pus.1
- initial version 0.3.2
